javax.resource.spi

## Class LocalTransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.LocalTransactionException

- All Implemented Interfaces:
    java.io.Serializable

      public class LocalTransactionException
      extends ResourceException

  A `LocalTransactionException` represents various error conditions related to the local transaction management contract. The Java Transaction API specification specifies the `javax.transaction.xa.XAException` class for exceptions related to XAResource based transaction management contract.

  The `LocalTransactionException` is used for the local transaction management contract to indicate the following common error conditions:

  - Invalid transaction context when a transaction operation is executed. For example, calling `commit` method on `LocalTransaction` object without an active local transaction is an error condition.
  - Transaction is rolled back instead of getting committed during a `commit` method call on the `LocalTransaction` object.
  - An attempt to start a local transaction from the same thread on a `ManagedConnection` that is already associated with an active local transaction.
  - Any resource adapter or resource manager specific error conditions related to local transaction management. Examples are violation of integrity of resources, deadlock detection, communication failure during transaction completion, retry required or any internal error in a resource manager.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTransactionException()` Constructs a new instance with null as its detail message.
    `LocalTransactionException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `LocalTransactionException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `LocalTransactionException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `LocalTransactionException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTransactionException

          public LocalTransactionException()

      Constructs a new instance with null as its detail message.

    - #### LocalTransactionException

          public LocalTransactionException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### LocalTransactionException

          public LocalTransactionException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### LocalTransactionException

          public LocalTransactionException(java.lang.String message,
                                           java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### LocalTransactionException

          public LocalTransactionException(java.lang.String message,
                                           java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)